<template>
  <v-layout
    align-center
    class="write-tabs pb-2 mb-2"
  >
    <div
      @click="$emit('select-tab', item.value)"
      class="write-tabs__tab pulse-escape"
      v-for="(item, index) in allTabs"
      :key="index"
    >
      <p
        :class="{'write-tabs__tab_keyword': item.value === 'KEYWORD'}"
        class="write-tabs__tab_item pulse-escape"
        :style="{'background-color': item.color}"
      >
        <span :style="keywordStyle(item)">
          {{getTitle(item.value)}}
          <span v-if="item.amount !== 0">({{item.amount}})</span>
        </span>
      </p>
    </div>
  </v-layout>
</template>

<script>
import tabsMock from './Mocks/tabs.json';

export default {
  props: {
    tabs: {
      type: Array,
      default: () => [],
    },
  },
  methods: {
    keywordStyle(data) {
      return data.value === 'KEYWORD'
        ? { 'border-bottom': '1px solid #E91E63' }
        : {};
    },
    getTitle(title) {
      return title === 'KEYWORD' ? 'KEYWORDS' : title;
    },
  },
  computed: {
    allTabs() {
      return this.tabs.length > 0 ? this.tabs : tabsMock;
    },
  },
};
</script>

<style lang="sass" scoped>
  @import ~@/styles/defaults/variables
  @import ~@/styles/defaults/mobileFirst

  .write-tabs
    white-space: nowrap
    user-select: none
    &__tab
      cursor: pointer
      margin: 0px 2px
      width: auto
      text-align: center
      height: 1.4em
      transition: 0.4s ease all
      &_item
        font-weight: 600
        text-transform: lowercase
        border-radius: 5px
        margin-bottom: 0px
        font-size: 0.8em
        @media (max-width: 350px )
          font-size: 0.7em
      &_keyword
        border-radius: 0px
        height: 21px
      &::first-letter
        text-transform: uppercase
    +media-min-lg()
      height: 2em
      margin: 20px 0px
      &__tab
        &_item
          padding: 2px 5px
          font-size: 1em
</style>
